## plasma-discover 5.25.5

=== discover/CMakeLists.txt ===
add_subdirectory(icons)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/..)

ecm_qt_declare_logging_category(plasma_discover_SRCS HEADER discover_debug.h IDENTIFIER DISCOVER_LOG CATEGORY_NAME org.kde.plasma.discover DESCRIPTION "discover" EXPORT DISCOVER)
kconfig_add_kcfg_files(plasma_discover_SRCS discoversettings.kcfgc GENERATE_MOC)

if (TARGET KUserFeedbackCore)
    kconfig_add_kcfg_files(plasma_discover_SRCS plasmauserfeedback.kcfgc GENERATE_MOC)
endif()

add_executable(plasma-discover ${plasma_discover_SRCS}
    main.cpp
    DiscoverObject.cpp
    DiscoverDeclarativePlugin.cpp

    FeaturedModel.cpp
    PaginateModel.cpp
    UnityLauncher.cpp
    ReadFile.cpp
    PowerManagementInterface.cpp

    DiscoverObject.h
    DiscoverDeclarativePlugin.h

    FeaturedModel.h
    PaginateModel.h
    UnityLauncher.h
    ReadFile.h


    resources.qrc
)
add_executable(Plasma::Discover ALIAS plasma-discover)
set_target_properties(plasma-discover PROPERTIES INSTALL_RPATH ${CMAKE_INSTALL_FULL_LIBDIR}/plasma-discover)

target_link_libraries(plasma-discover PUBLIC
                                     KF5::Crash
                                     KF5::DBusAddons
                                     KF5::I18n
                                     KF5::ConfigGui
                                     KF5::KIOCore
                                     KF5::WindowSystem
                                     Qt::Widgets
                                     Qt::Quick
                                     Discover::Common
)

if (TARGET KUserFeedbackCore)
    target_link_libraries(plasma-discover PRIVATE KUserFeedbackCore)
    target_compile_definitions(plasma-discover PRIVATE WITH_FEEDBACK=1)
endif()

install(TARGETS plasma-discover ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# if (BUILD_DummyBackend)
#     target_compile_definitions(plasma-discover PRIVATE $<$<CONFIG:Debug>:QT_QML_DEBUG=1>)
# endif()

# Standard desktop file accepts local files as input.
set(DesktopNoDisplay "false")
find_program(DPKG dpkg)
find_program(RPM rpm)
set(DesktopMimeType "")
if(DPKG)
     set(DesktopMimeType "${DesktopMimeType}application/vnd.debian.binary-package;")
endif()
if(RPM)
     set(DesktopMimeType "${DesktopMimeType}application/x-rpm;")
endif()
if(Flatpak_FOUND)
  set(DesktopMimeType "${DesktopMimeType}application/vnd.flatpak;application/vnd.flatpak.repo;application/vnd.flatpak.ref;")
endif()
set(DesktopExec "plasma-discover %F")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

# Support appstream:// URI
set(DesktopNoDisplay "true")
set(DesktopMimeType "x-scheme-handler/appstream;")
set(DesktopExec "plasma-discover %U")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.urlhandler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

# support snap:/ URI
set(DesktopNoDisplay "true")
set(DesktopMimeType "x-scheme-handler/snap;")
set(DesktopExec "plasma-discover %U")
configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.snap.desktop)
install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.snap.desktop DESTINATION ${KDE_INSTALL_APPDIR} )

if(EXISTS "/etc/debian_version")
    set(DesktopNoDisplay "true")
    set(DesktopMimeType "x-scheme-handler/apt")
    set(DesktopExec "plasma-discover %U")
    configure_file(org.kde.discover.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop)
    install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.apt.urlhandler.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
endif()

install(FILES plasmadiscoverui.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/plasmadiscover)
install(FILES org.kde.discover.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
plasma-discover (5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:31:24 +0100

plasma-discover (5.25.4-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libsnapd-qt-2-1

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Aug 2022 09:46:02 +0100

plasma-discover (5.25.4-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde, and snapd for snap backend.
    - Recommend the snap backend and software-properties-qt

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Aug 2022 12:38:46 +0100

plasma-discover (5.25.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 02 Aug 2022 20:27:10 +0200

plasma-discover (5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:31:26 +0200

plasma-discover (5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:58:20 +0100

plasma-discover (5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * Drop unused build dependencies on libkf5itemmodels-dev,
    libqt5x11extras5-dev and libqt5svg5-dev.
  * Refresh lintian overrides.
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:50 +0200

plasma-discover (5.25.3-0ubuntu2) kinetic; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:03:17 +0100

plasma-discover (5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:42:58 +0100

plasma-discover (5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:15:58 +0100

plasma-discover (5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:45:37 +0200

plasma-discover (5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:26:16 +0100

plasma-discover (5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:19 +0200

plasma-discover (5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:04:51 +0100

plasma-discover (5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:44:33 +0200

plasma-discover (5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:39:15 +0100

plasma-discover (5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:28 +0200

plasma-discover (5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:47:27 +0100

plasma-discover (5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:45:22 +0200

plasma-discover (5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:46:50 +0100

plasma-discover (5.24.2.1-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2.1).
  * Remove patch to mitigate Denial of Service bug as it has been
    applied uppstream.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:59:20 +0100

plasma-discover (5.23.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Cherry-pick commit to fix the Denial of Service bug in Discover
    (Closes: #1006124).
  * Recommend plasma-discover-backend-fwupd instead of just suggesting
    it such that it gets installed by default (Closes: #1005134).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.
  * Remove redundant B-D.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Feb 2022 20:20:11 +0100

plasma-discover (5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:32 +0100

plasma-discover (5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:25:05 +0100

plasma-discover (5.23.3.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3.1).

 -- Norbert Preining <norbert@preining.info>  Sat, 13 Nov 2021 16:43:45 +0900

plasma-discover (5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:41:04 +0900

plasma-discover (5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:03 +0900

plasma-discover (5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).


=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Klumpp <mak@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               kirigami2-dev (>= 2.7.0),
               kuserfeedback-dev,
               libappstreamqt-dev (>= 0.14.4~),
               libcurl4-gnutls-dev,
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.11.8~) [linux-any],
               libfwupd-dev (>= 1.0.6~) [linux-any],
               libjcat-dev (>= 0.1.0),
               libkf5archive-dev (>= 5.94~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.94~),
               libkf5coreaddons-dev (>= 5.94~),
               libkf5crash-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5declarative-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5idletime-dev (>= 5.94~),
               libkf5kcmutils-dev (>= 5.94~),
               libkf5kio-dev (>= 5.94~),
               libkf5newstuff-dev (>= 5.53~),
               libkf5notifications-dev,
               libkf5xmlgui-dev (>= 5.94~),
               libmarkdown2-dev,
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libsnapd-qt-dev (>= 1.30) [linux-any],
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Rules-Requires-Root: no

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            kde-config-updates,
            plasma-discover-backend-fwupd [linux-any],
            plasma-discover-backend-snap,
            software-properties-qt,
Suggests: plasma-discover-backend-flatpak [linux-any]
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: linux-any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-backend-snap
Architecture: linux-any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover (<< 5.19.4-2~)
Replaces: plasma-discover (<< 5.19.4-2~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: kde-config-updates
Architecture: any
Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
Description: Unattended updates configuration
 This package contains a configuration module for configuring
 unattended updates for fleet administrators without the need to
 use system updaters manually.
 .
 This package is part of Plasma Discover.

## plasma-discover 5.26.4

=== debian/changelog ===
plasma-discover (5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 16:00:41 +0100

plasma-discover (5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:43:21 +0100

plasma-discover (5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:43 +0200

plasma-discover (5.26.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop the removal of executable permissions from autostart desktop files,
    as the issue was fixed upstream some releases ago.
  * Update the build dependencies according to the upstream build system:
    - bump libfwupd-dev to 1.5.0
    - drop libjcat-dev, as it was needed more than a year ago as missing
      dependency of libfwupd-dev
    - limit the architectures of libqt5webview5-dev (as it is optional) only
      where it exists, i.e. amd64 arm64 armhf i386 mips64el mipsel

 -- Pino Toscano <pino@debian.org>  Mon, 17 Oct 2022 07:49:31 +0200

plasma-discover (5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:16 +0200

plasma-discover (5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:22 +0200

plasma-discover (5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:21:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,48 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Matthias Klumpp <mak@debian.org>,
-           Norbert Preining <norbert@preining.info>,
-           Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.98.0~),
                gettext,
                kirigami2-dev (>= 2.7.0),
                kuserfeedback-dev,
-               libappstreamqt-dev (>= 0.14.4~),
+               libappstreamqt-dev (>= 0.15.3~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.11.8~) [linux-any],
-               libfwupd-dev (>= 1.0.6~) [linux-any],
-               libjcat-dev (>= 0.1.0),
-               libkf5archive-dev (>= 5.94~),
+               libfwupd-dev (>= 1.5.0~) [linux-any],
+               libkf5archive-dev (>= 5.98.0~),
                libkf5attica-dev (>= 5.23~),
-               libkf5config-dev (>= 5.94~),
-               libkf5coreaddons-dev (>= 5.94~),
-               libkf5crash-dev (>= 5.94~),
-               libkf5dbusaddons-dev (>= 5.94~),
-               libkf5declarative-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5idletime-dev (>= 5.94~),
-               libkf5kcmutils-dev (>= 5.94~),
-               libkf5kio-dev (>= 5.94~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5crash-dev (>= 5.98.0~),
+               libkf5dbusaddons-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
+               libkf5i18n-dev (>= 5.98.0~),
+               libkf5idletime-dev (>= 5.98.0~),
+               libkf5kcmutils-dev (>= 5.98.0~),
+               libkf5kio-dev (>= 5.98.0~),
                libkf5newstuff-dev (>= 5.53~),
-               libkf5notifications-dev,
-               libkf5xmlgui-dev (>= 5.94~),
+               libkf5notifications-dev (>= 5.98.0~),
+               libkf5purpose-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
+               libqt5webview5-dev (>= 5.15.2~) [amd64 arm64 armhf i386 mips64el mipsel],
                libsnapd-qt-dev (>= 1.30) [linux-any],
                pkg-config,
-               pkg-kde-tools (>= 0.15.16),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
 Rules-Requires-Root: no
 
 Package: plasma-discover
@@ -67,8 +64,7 @@
             apt-config-icons-large-hidpi,
             kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
-            plasma-discover-backend-snap,
-            software-properties-qt,
+            software-properties-kde,
 Suggests: plasma-discover-backend-flatpak [linux-any]
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
@@ -86,7 +82,6 @@
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
-         xdg-desktop-portal-kde,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: plasma-discover (<< 5.19.4-2~)
@@ -115,10 +110,9 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
-         snapd,
-         xdg-desktop-portal-kde,
          ${misc:Depends},
          ${shlibs:Depends},
+Recommends: snapd
 Breaks: plasma-discover (<< 5.19.4-2~)
 Replaces: plasma-discover (<< 5.19.4-2~)
 Description: Discover software management suite - Snap backend

## plasma-discover 5.27.2

=== CMakeLists.txt ===
project(discover)
set(PROJECT_VERSION "5.27.2")
set(PROJECT_VERSION_MAJOR 5)

cmake_minimum_required(VERSION 3.16)

set(QT_MIN_VERSION "5.15.2")
set(KF5_MIN_VERSION "5.102.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.82")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  "${CMAKE_SOURCE_DIR}/cmake")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMQtDeclareLoggingCategory)
include(KDEClangFormat)
include(KDEGitCommitHooks)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED CONFIG COMPONENTS Widgets Test Network Concurrent DBus Quick)
find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG OPTIONAL_COMPONENTS WebView)

find_package(PkgConfig REQUIRED)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED CoreAddons Config Crash DBusAddons I18n Archive XmlGui KIO Declarative KCMUtils IdleTime Notifications Purpose)
find_package(KF5Kirigami2 2.7.0)

find_package(packagekitqt5 1.0.1 CONFIG)
find_package(AppStreamQt 0.15.3 CONFIG REQUIRED)
find_package(KF5Attica 5.23 CONFIG)
find_package(KF5NewStuff 5.53 CONFIG)

pkg_check_modules(Flatpak IMPORTED_TARGET flatpak>=0.11.8)
pkg_check_modules(Fwupd IMPORTED_TARGET fwupd>=1.5.0)
pkg_check_modules(Markdown IMPORTED_TARGET libmarkdown)
pkg_check_modules(Ostree IMPORTED_TARGET ostree-1)
pkg_check_modules(RpmOstree IMPORTED_TARGET rpm-ostree-1)
find_package(KUserFeedback)

list(APPEND CMAKE_AUTOMOC_MACRO_NAMES "DISCOVER_BACKEND_PLUGIN")

set(CMAKE_CXX_STANDARD 17)
add_definitions(-DQT_NO_SIGNALS_SLOTS_KEYWORDS -DQT_NO_URL_CAST_FROM_STRING)

configure_file(DiscoverVersion.h.in DiscoverVersion.h)

add_subdirectory(libdiscover)
add_subdirectory(discover)
add_subdirectory(exporter)
add_subdirectory(update)

option(WITH_KCM "Build and install the updates KCM" ON)
if(WITH_KCM)
    add_subdirectory(kcm)
endif()

option(WITH_NOTIFIER "Build and install the notifier plasmoid" ON)
if(WITH_NOTIFIER)
    add_subdirectory(notifier)
endif()

set_package_properties(KF5Attica PROPERTIES
    DESCRIPTION "KDE Framework that implements the Open Collaboration Services API"
    PURPOSE "Required to build the KNewStuff3 backend"
    TYPE OPTIONAL)
set_package_properties(KF5Kirigami2 PROPERTIES
    DESCRIPTION "KDE's lightweight user interface framework for mobile and convergent applications"
    URL "https://techbase.kde.org/Kirigami"
    PURPOSE "Required by discover qml components"
    TYPE RUNTIME)
set_package_properties(KF5NewStuff PROPERTIES
    DESCRIPTION "Qt library that allows to interact with KNewStuff implementations"
    PURPOSE "Required to build the KNS backend"
    TYPE OPTIONAL)
set_package_properties(packagekitqt5 PROPERTIES
    DESCRIPTION "Library that exposes PackageKit resources"
    URL "https://www.freedesktop.org/software/PackageKit/"
    PURPOSE "Required to build the PackageKit backend"
    TYPE OPTIONAL)
set_package_properties(AppStreamQt PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    PURPOSE "Required to build the PackageKit, Flatpak and Snap backends"
    TYPE OPTIONAL)
add_feature_info(Flatpak Flatpak_FOUND
                "Library that exposes flatpak repositories. Required to build the Flatpak backend"
)
add_feature_info(Fwupd Fwupd_FOUND "Exposes fwupd")
add_feature_info(Ostree Ostree_FOUND
                "Library to manage ostree repository. Required to build the rpm-ostree backend"
)
add_feature_info(RpmOstree RpmOstree_FOUND
                "rpm-ostree binary to manage the system. Required to build the rpm-ostree backend"
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ecm_qt_install_logging_categories(
        EXPORT DISCOVER
        FILE discover.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)

## plasma-discover 5.27.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.27.2")
+set(PROJECT_VERSION "5.27.3")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 3.16)

=== debian/changelog ===
plasma-discover (5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)
  * Drop included upstream_fix-LP2008968.patch

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:17:21 +0000

plasma-discover (5.27.2-0ubuntu3) lunar; urgency=medium

  * Add missing runtime depend on qml-module-org-kde-purpose. (LP:
    #2011380)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Mar 2023 12:16:54 +0000

plasma-discover (5.27.2-0ubuntu2) lunar; urgency=medium

  * Add upstream_fix-LP2008968.patch to fix loading of Discover's 'home'
    tab. (LP: #2008968).

 -- Rik Mills <rikmills@kde.org>  Fri, 03 Mar 2023 16:50:36 +0000

plasma-discover (5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:22:11 +0000

plasma-discover (5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:45:54 +0000

plasma-discover (5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:39:55 +0000

plasma-discover (5.26.90-0ubuntu4) lunar; urgency=medium

  * Remove unnecessary break/replaces of plasma-discover against itself.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Feb 2023 18:59:37 +0000

plasma-discover (5.26.90-0ubuntu3) lunar; urgency=medium

  * Add breaks/replaces lines for new notifier package

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 11 Feb 2023 08:21:02 -0800

plasma-discover (5.26.90-0ubuntu2) lunar; urgency=medium

  * Separate notifier from main discover package

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Thu, 09 Feb 2023 21:05:02 -0800

plasma-discover (5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:28:56 +0000

plasma-discover (5.26.5-0ubuntu2) lunar; urgency=medium

  * Demote kde-config-updates to suggests to make sure that this is not
    pulled onto the Lubuntu default install. Kubuntu or other flavours
    who want this can seed it directly as a recommends.

 -- Rik Mills <rikmills@kde.org>  Sun, 29 Jan 2023 20:21:29 +0000

plasma-discover (5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 08:43:29 +0000

plasma-discover (5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Depend on xdg-desktop-portal-kde, and snapd for snap backend.
    - Recommend the snap backend and software-properties-qt

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Dec 2022 08:21:38 +0000

plasma-discover (5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:03:02 +0000

plasma-discover (5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:10:35 +0000

plasma-discover (5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)
  * Update build deps from cmake.
  * Update install files.
  * Sync changes from Debian unstable.

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:09:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,37 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               kirigami2-dev (>= 2.7.0),
+               kirigami2-dev (>= 5.102.0~),
                kuserfeedback-dev,
                libappstreamqt-dev (>= 0.15.3~),
                libcurl4-gnutls-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.5.0~) [linux-any],
-               libkf5archive-dev (>= 5.98.0~),
-               libkf5attica-dev (>= 5.23~),
-               libkf5config-dev (>= 5.98.0~),
-               libkf5coreaddons-dev (>= 5.98.0~),
-               libkf5crash-dev (>= 5.98.0~),
-               libkf5dbusaddons-dev (>= 5.98.0~),
-               libkf5declarative-dev (>= 5.98.0~),
-               libkf5i18n-dev (>= 5.98.0~),
-               libkf5idletime-dev (>= 5.98.0~),
-               libkf5kcmutils-dev (>= 5.98.0~),
-               libkf5kio-dev (>= 5.98.0~),
-               libkf5newstuff-dev (>= 5.53~),
-               libkf5notifications-dev (>= 5.98.0~),
-               libkf5purpose-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               libkf5archive-dev (>= 5.102.0~),
+               libkf5attica-dev (>= 5.102.0~),
+               libkf5config-dev (>= 5.102.0~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5crash-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5declarative-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5idletime-dev (>= 5.102.0~),
+               libkf5kcmutils-dev (>= 5.102.0~),
+               libkf5kio-dev (>= 5.102.0~),
+               libkf5newstuff-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5purpose-dev (>= 5.102.0~),
+               libkf5xmlgui-dev (>= 5.102.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
@@ -41,9 +42,19 @@
                qtdeclarative5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
 Rules-Requires-Root: no
+
+Package: kde-config-updates
+Architecture: any
+Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
+Description: Unattended updates configuration
+ This package contains a configuration module for configuring
+ unattended updates for fleet administrators without the need to
+ use system updaters manually.
+ .
+ This package is part of Plasma Discover.
 
 Package: plasma-discover
 Architecture: any
@@ -55,6 +66,7 @@
          qml-module-org-kde-kirigami2 (>= 5.42),
          qml-module-org-kde-kquickcontrols,
          qml-module-org-kde-kquickcontrolsaddons,
+         qml-module-org-kde-purpose,
          qml-module-org-kde-qqc2desktopstyle,
          qml-module-qtquick-dialogs,
          ${misc:Depends},
@@ -62,10 +74,11 @@
 Recommends: apt-config-icons-hidpi,
             apt-config-icons-large,
             apt-config-icons-large-hidpi,
-            kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
-            software-properties-kde,
-Suggests: plasma-discover-backend-flatpak [linux-any]
+            plasma-discover-backend-snap,
+            software-properties-qt,
+Suggests: plasma-discover-backend-flatpak [linux-any], kde-config-updates,
+	  plasma-discover-notifier (= ${binary:Version})
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -78,10 +91,32 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-notifier
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
+Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
+Description: Discover software management suite - Update Notifier
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ By allowing to navigate a software library by search, categories, top lists
+ along with detailed application information that includes screenshots
+ and reviews, users can more quickly find applications that suit their needs.
+ .
+ Discover will also keep the system up to date by notifying about updates and
+ installing them.
+ .
+ This package contains the update notifier and indicator.
+
 Package: plasma-discover-backend-flatpak
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde,
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: plasma-discover (<< 5.19.4-2~)
@@ -110,9 +145,10 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
+         snapd,
+         xdg-desktop-portal-kde,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: snapd
 Breaks: plasma-discover (<< 5.19.4-2~)
 Replaces: plasma-discover (<< 5.19.4-2~)
 Description: Discover software management suite - Snap backend
@@ -131,13 +167,3 @@
  .
  This package contains data files shared by various parts of the
  Discover suite.
-
-Package: kde-config-updates
-Architecture: any
-Depends: systemsettings, ${misc:Depends}, ${shlibs:Depends}
-Description: Unattended updates configuration
- This package contains a configuration module for configuring
- unattended updates for fleet administrators without the need to
- use system updaters manually.
- .
- This package is part of Plasma Discover.

## plasma-discover 5.27.4

=== debian/changelog ===
plasma-discover (5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:36:56 +0100
